Roomability Guest API
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Reservation
Roomability Guest API
  • Introduction
  • Authentication
  • Responses
  • Roomability Guest API
    • PayGateway
      • Detail
    • CancelPolicy
      • Detail
    • Paystack
      • Verify
      • Initialize
    • Reservation
      • Add
        POST
      • Availability
        POST
      • Cancel
        POST
      • Booking Ref
        GET
    • Country
      • GetSelectList
    • RoomType
      • DetailList
      • Detail
    • Term
      • Detail
    • State
      • GetSelectList
    • Privacy
      • Detail
    • Guest
      • Detail
    • Payment Method
      • Active List
    • Hotel
      • Detail
      • Hotel Rule
    • GetHotel List
      GET
    • Contact Page
      POST
    • Search List
      GET
    • Countries
      GET
    • Phone Code List
      GET
  • Retails & Ecommece Guest Api
    • Products
    • Users
    • Carts
    • Orders
  • Loyality Endpoint Api
    • Doors
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Reservation

Availability

POST
https://guestapi.roomability.io/Reservation/Availability
Last modified:2026-03-12 08:08:55

Reservation Availability#

This API endpoint is used to check the availability for reservations.

Request#

Method: POST
Base URL: {{baseUrl}}
Endpoint: /Reservation/Availability
Request Body#
checkInDate (string): The check-in date for the reservation.
checkOutDate (string): The check-out date for the reservation.
adultNo (string): The number of adults for the reservation.
childNo (string): The number of children for the reservation.
facilityTypeId (string): The ID of the facility type.

Response#

The response for this request is in JSON format and follows the schema below:
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "number"
    },
    "errorMessage": {
      "type": "string"
    },
    "types": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "facilityTypeId": {
            "type": "number"
          },
          "roomTypeId": {
            "type": "number"
          },
          "roomType": {
            "type": "string"
          },
          "summary": {
            "type": "string"
          },
          "detail": {
            "type": "string"
          },
          "adult": {
            "type": "number"
          },
          "children": {
            "type": "number"
          },
          "currencySymbol": {
            "type": "string"
          },
          "rateId": {
            "type": "number"
          },
          "rate": {
            "type": "number"
          },
          "available": {
            "type": "number"
          },
          "image1": {
            "type": "string"
          },
          "image2": {
            "type": "string"
          },
          "image3": {
            "type": "string"
          },
          "image4": {
            "type": "string"
          },
          "image5": {
            "type": "string"
          },
          "image6": {
            "type": "string"
          },
          "image7": {
            "type": "string"
          },
          "image8": {
            "type": "string"
          }
        }
      }
    }
  }
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://guestapi.roomability.io/Reservation/Availability' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "checkInDate": "2025-09-15",
    "checkOutDate": "2025-09-16",
    "adultNo": "2",
    "childNo": "1",
    "facilityTypeId": 1,
    "sortBy": 1
}'
Response Response Example
{
    "errorCode": 0,
    "errorMessage": "Successfully retrieved available rooms.",
    "types": [
        {
            "facilityTypeId": 1,
            "roomTypeId": 1,
            "roomType": "First Class Suite",
            "summary": "",
            "detail": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 1,
            "rate": 60000,
            "available": 1,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        },
        {
            "facilityTypeId": 1,
            "roomTypeId": 2,
            "roomType": "Business Suite",
            "summary": "",
            "detail": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 2,
            "rate": 50000,
            "available": 1,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        },
        {
            "facilityTypeId": 1,
            "roomTypeId": 3,
            "roomType": "Premium Suite",
            "summary": "",
            "detail": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 3,
            "rate": 40000,
            "available": 3,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        },
        {
            "facilityTypeId": 1,
            "roomTypeId": 4,
            "roomType": "Economy",
            "summary": "",
            "detail": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 4,
            "rate": 35000,
            "available": 2,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        }
    ]
}
Modified at 2026-03-12 08:08:55
Previous
Add
Next
Cancel
Built with